image: docker

services:
- docker:dind

before_script:
- export
- docker login --username $CI_REGISTRY_USER --password $CI_REGISTRY_PASSWORD $CI_REGISTRY

build:
  script:
  - docker pull registry.gitlab.com/real.is.love/skillbox:latest
  - docker build --cache-from registry.gitlab.com/real.is.love/skillbox:latest --tag registry.gitlab.com/real.is.love/skillbox:latest --tag registry.gitlab.com/real.is.love/skillbox:$CI_COMMIT_SHORT_SHA .
  - docker push registry.gitlab.com/real.is.love/skillbox:latest
  - docker push registry.gitlab.com/real.is.love/skillbox:$CI_COMMIT_SHORT_SHA
